import {get,post} from '@/api/index'

export default{
	// 用户列表
  userList:params=>{
    return get('/eta_business/user/list',params)
  },
  // 新增用户
  addUser:params=>{
    return post('/eta_business/user/add',params)
  },
  // 编辑用户
  editUser:params=>{
    return post('/eta_business/user/edit',params)
  },
  // 删除用户
  deleteUser:params=>{
    return post('/eta_business/user/delete',params)
  },
  // 启用\禁用用户
  enableChange:params=>{
    return post('/eta_business/user/editEnabled',params)
  },
  // 移动用户至新商户
  moveUser:params=>{
    return post('/eta_business/user/changeBusiness',params)
  },
  // 获取批量导入用户的数据
  getImportUserList:params=>{
    return post('/eta_business/user/import/list',params)
  },
  // 导入用户
  importUser:params=>{
    return post('/eta_business/user/import',params)
  }

}
