import {get,post} from '@/api/index'

export default{
    /* 图表分类(包含图表)
     * ParentId:0 表示查询未分类目录下的内容，-1表示查询所有一级目录
    */
    classifyList:params=>{
        return get('/chart/classify/simple',params)
    },
    //新增分类 一级分类传0
    classifyAdd:params=>{
        return post('/chart/classify/add',params)
    },
    //编辑分类
    classifyEdit:params=>{
        return post('/chart/classify/edit',params)
    },
    //删除分类
    classifyDelete:params=>{
        return post('/chart/classify/delete',params)
    },
    // 分类或者图表的移动排序
    classifySort:params=>{
        return post('/chart/classify/move',params)
    },
    // 获取所有的分类数据（不包含图表）
    classifyNoChart:()=>{
        return get('/chart/classify/tree',{})
    },
    // 批量移动图表
    moveChartBatch:params=>{
        return post('/chart/modify_chart_classify',params)
    },

    // 图列表(根据分类获取的)
    chartList:params=>{
        return get('/chart/classify/chart_list',params)
    },
    // 图搜索
    chartSearch:params=>{
        return get('/chart/search_by_es',params)
    },
    // 图详情
    chartDetail:params=>{
        return get('/chart/detail',params)
    },
    // 指标溯源
    getEdbSource:params=>{
        return get('/edb/trace',params)
    },

    // 纯图表列表接口
    chartListFilter:params=>{
        return get('/chart/list',params)
    }


}