// 提示弹窗函数
// 根据dialog-confirm-pop 类名改样式吧
import { DialogPlugin } from 'tdesign-vue-next';
import warningIcon from '@/assets/icons/warning.png'
export function $confirmDialog(props){
  const headerHtml=()=><div style="display:flex;align-items:center">
    <img src={warningIcon} style="width:20px" />
    <span>{props.header||'提示'}</span>
  </div>
  return new Promise((resolve,reject)=>{
    const confirmDia = DialogPlugin.confirm({
      confirmBtn: '确定',
      cancelBtn: '取消',
      ...props,
      className:'dialog-confirm-pop',
      header:headerHtml,
      onConfirm: ({ e }) => {
        resolve(true)
        confirmDia.destroy();
      },
      onClose: ({ e, trigger }) => {
        reject(false)
        confirmDia.destroy();
      },
    });
  })
}