import {get,post} from '@/api/index'

export default{
	//机构用户
	companyUserList:()=>{
		return get('/admin/business/admin',{})
	},
	// 系统菜单
	menuList:()=>{
		return get('/system/menu/list',{})
	},
	// 手机号区号
	mobileAreaCode:()=>{
		return get('/eta_business/area_code/list',{})
	},
	/**
	 * 获取系统角色
	 * @param RoleLevel 部门管理菜单->添加用户->查询所有角色列表时，需传入RoleLevel：0
	 */
	getRoleList:params=>{
		return get('/system/role/all',params)
	},
	// 获取角色对应的菜单数据
	getRoleMenuList:params=>{
		return get('/system/role/menu/list',params)
	},
	// 设置角色菜单权限
	setRoleMenuData:params=>{
		return post('/system/role/menu/add',params)
	}
}
