// 全局接口请求loading hook
import {ref} from 'vue'

const isLoading=ref(false)

export function useRequestLoading(){

    function startLoading(){
        isLoading.value=true
    }

    function closeLoading(){
        isLoading.value=false
    }

    return {
        isLoading,
        startLoading,
        closeLoading
    }
}