// 全局接口请求loading hook
import {ref} from 'vue'

const userInfo=ref(null)

export function useUserInfo(){
    function getUserInfo(){
      const objStr=sessionStorage.getItem('userInfo')
      if(objStr) {
        userInfo.value=JSON.parse(objStr)
      }
    }

    return {
      userInfo,
      getUserInfo,
    }
}