import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/etaChart',
    name:'ETAChart',
    component:LayoutIndex,
    meta:{
      title:'ETA社区管理'
    },
    children:[
      {
        path:'index',
        name:'ETAChartIndex',
        component:()=>import('@/views/etaChart/Index.vue'),
        meta:{
          title:'ETA图库'
        },
      },
      {
        path:'EDBSource',
        name:'EDBSource',
        component:()=>import('@/views/EDBSource.vue'),
        meta:{
          title:'指标溯源'
        },
      },
    ]
  }
]