import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/system',
    name:'SystemRole',
    component:LayoutIndex,
    meta:{
      title:'权限配置'
    },
    children:[
      {
        path:'roleMenuAuth',
        name:'SystemRoleMenuAuth',
        component:()=>import('@/views/system/RoleMenuAuth.vue'),
        meta:{
          title:'权限配置'
        },
      },
    ]
  },
  {
    path:'/system',
    name:'SystemSet',
    component:LayoutIndex,
    meta:{
      title:'个性化设置'
    },
    children:[
      {
        path:'commonSet',
        name:'SystemCommonSet',
        component:()=>import('@/views/system/CommonSet.vue'),
        meta:{
          title:'个性化设置'
        },
      },
    ]
  }
]